RPS_MAY_EXPIRE_FLOW(9)

NAME
rps_may_expire_flow - check whether an RFS hardware filter may be removed

SYNOPSIS

bool rps_may_expire_flow(struct net_device * dev, u16 rxq_index, u32 flow_id, u16 filter_id);

ARGUMENTS

dev
    Device on which the filter was set

rxq_index
    RX queue index

flow_id
    Flow ID passed to ndo_rx_flow_steer

filter_id
    Filter ID returned by ndo_rx_flow_steer

DESCRIPTION

Drivers that implement ndo_rx_flow_steer should periodically call this function for each installed filter and remove the filters for which it returns true.

COPYRIGHT